Squirry - SPIP 1.92 - Site de tests Version php utilisée actuellement : 5.6.33 Squirry - SPIP 1.92 - Site de tests Version php utilisée actuellement : 5.6.33
spip192.jermer.fr
Accueil du site > Outils > Passer de SPIP 1.9x à SPIP 2.x.x

Passer de SPIP 1.9x à SPIP 2.x.x

jeudi 18 septembre 2008

Passer de SPIP 1.9x à SPIP 2.x.x

Si vous désirez vous préparer au passage SPIP 2.0, il est possible d’ores et déjà d’installer la version 2.béta.

Comme de profonds changements ont été opérés sur le code et l’organisation des fichiers, il convient de prendre quelques précautions.

Avertissements

- L’installation d’une version non stable est à proscrire pour un site en production.
- Il faut toujours sauvegarder ses fichiers personnels. (répertoires /IMG /squelettes, mes_options ...)
- Il faut bien évidemment faire une sauvegarde de sa base et si nécessaire à l’aide de phpmyadmin en procédant selon la taille de celle-ci par lots).
- Il est préférable de supprimer tous les fichiers du SPIP préexistant car je le répète, l’organisation de la distribution étant profondément modifiée, il pourrait rester des fichiers en doublons qui pourraient provoquer des erreurs. L’exemple des fichiers “formulaire” est probant : impossibilité de se loguer.
- L’utilisation de spip_loader n’exonère pas du nettoyage.
- les plugins fonctionnant sous spip 1.92 ne sont pas forcément compatibles en l’état. Il ne faut pas faire remonter les problèmes auprès des développeurs du coeur de spip mais s’adresser aux développeurs des dits plugins sur spip-zone ou sur leurs sites.
- La liste spip-user est une mine d’informations.

Téléchargement de la version SPIP 2 béta
et de Spip 2 Reloaded version 1


la version RC1 est téléchargeable ici Spip 2 RC1



Suivre la vie du site RSS 2.0 | Plan du site | Espace privé | SPIP

34 plugins actifs avec Spip 1.9.2o [19288]

En utilisant ce site, vous acceptez l’utilisation de cookies à des fins de personnalisation du contenu.


 
2008-09-18 23:05:08